> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/43.-fraga-hamta-fields.md).

# 43. Fråga Hämta "Fields"

Fråga för att hämta användarens "Fields" med filter efter `etiketter`, `farmUuid`, `fieldUuid`, `fältNamn`. Fälten returneras i alfabetisk ordning efter fältnamn.&#x20;

Fältfiltret fungerar som OCH-villkor, t.ex. möjligt att filtrera efter `farmUuid` och efter `fieldUuid` och efter `etiketter` och efter `fältNamn` i samma fråga eller använda bara ett filtervillkor eller inte använda något villkor.&#x20;

Filtrera efter `fältNamn` fungerar som `börjar_med`.&#x20;

För att implementera pagineringslogik, använd frågeparametern `sidaStorlek`. Det finns `senastUtvärderadNyckel` och `totaltAntal` i svaret, där `senastUtvärderadNyckel` refererar till den sista bearbetade posten som matchar filtervillkoret och `totaltAntal` är det totala antalet poster som matchar filtreringsvillkoren.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Exempel"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      namn
      labels {
        namn
        value
      }
      totaltAntal
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/43.-fraga-hamta-fields.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
